Subject: Re: Help! Need B.20.1 src
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 23 Jan 2005 11:54:59 -0500

On Sun, Jan 23, 2005 at 09:28:45AM -0500, John Mellor wrote:
>On Sat, 2005-22-01 at 20:22 -0500, Christopher Faylor wrote:
>> On Sat, Jan 22, 2005 at 05:17:44PM -0800, Brian Dessent wrote:
>> >John Mellor wrote:
>> >>Correct me if I'm mistaken, but if I'm going to make a few dollars off
>> >>of a non-free something that links in an open source library, I need to
>> >>provide the source for the open-source parts with the product, or fall
>> >>afoul of the LGPL.  So, to make everybody happy, I believe that all I
>> >>need to add, is to provide the source for cygwin1.dll to the Customer.
>> >
>> >I don't know if the ancient Bxx series was LGPL, but the current Cygwin
>> >source is GPL which means you must provide not only the Cygwin DLL
>> >source but also all the source of your app that links to it.
>> >
>> >There is a mailing list to discuss this: cygwin-licensing at cygwin dot
>> >com.
>> 
>> I think that cygwin has been GPL since early 1997.
>> 
>> So, you're right.  I can't believe I missed this.  Anything that uses the
>> Cygwin DLL is GPLed.
>
>In fact, I cannot ship the source for the app if I wanted to, as that
>would then publish some of the Customer's proprietary trade secrets.
>However, if I read the specific version of the GPL that is being used
>for cygwin correctly, then it says:
>
>> In accordance with section 10 of the GPL, Red Hat permits programs
>> whose sources are distributed under a license that complies with the
>> Open Source definition to be linked with libcygwin.a/cygwin1.dll
>> without libcygwin.a/cygwin1.dll itself causing the resulting program
>> to be covered by the GNU GPL.
>> 
>> This means that you can port an Open Source(tm) application to cygwin,
>> and distribute that executable as if it didn't include a copy of
>> libcygwin.a/cygwin1.dll linked into it. Note that this does not apply
>> to the cygwin DLL itself. If you distribute a (possibly modified)
>> version of the DLL you must adhere to the terms of the GPL, i.e. you
>> must provide sources for the cygwin DLL.
>
>I believe that my app meets this criteria, and this then prevents me
>from being between a rock and a hard place    ;^)

I think it's already been pointed out that licensing discussions should
go to cygwin-licensing.  I've reset the reply-to for this message.

However, when you mention being unable to ship the source, it is hard to
see how you could possibly be compliant with anythin that resembles an
open source license.

FWIW, you don't have to provide the source code to the world.  You just
have to provide source code to anyone who gets the binaries.

Also, if you truly are using B20.1, then the license was just GPL back
then.  The overriding of section 10 didn't happen until I had pleaded
with Cygnus's CEO to allow this change.
--
Christopher Faylor			spammer? ->	[email-masked]
Cygwin Co-Project Leader				[email-masked]
TimeSys, Inc.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/